Subject: Re: bug#17966: 24.4.50; Error while saving bookmarks: Unknown button type `help-xref'

From: Dani Moncayo <[email-masked]>
Date: Mon, 7 Jul 2014 23:14:40 +0200

>> Perhaps it depends on pre-existing contents of the bookmarks file;
>> mine is empty.
>
> I've just verified that the problem persists even if I rename
> "~/.emacs.d" to something else before running Emacs.

Perhaps the key difference between your environment and mine is that I
have makeinfo version 5.2, which produces the special (non-ascii)
quotation chars ‘ and ’, and you may have an older version which
produces ` and ' instead.

Can you reproduce the problem with the following recipe?

emacs -Q
(set-language-environment 'latin-1)
Visit the attached file.
C-u 9 C-n
C-x r m RET
M-x bookmark-save RET

-- 
Dani Moncayo